/*
Delay routines for PIC16F877A @ 20MHz
Chris Hii - 2010
*/

#ifndef __20MHZ_DELAYS_H
#define __20MHZ_DELAYS_H

#ifndef CLOCK
#error ERROR: Must define CLOCK in Hz
#endif

void delay_ms(uns16);
void delay_3us(void);
void delay_5us(void);
void delay_50us(void);
void delay_100us(void);

#endif
